#$Id$
# -*- coding: utf-8 -*-
###########################################################################
#
# Eole NG - 2007
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  http://www.cecill.info/licences/Licence_CeCILL_V2-fr.html
# eole@ac-dijon.fr
#
# Exceptions spécifiques au programme de compilation
#
###########################################################################

class UnknownPackage(Exception):
    """paquet inconnu"""
    pass

class UnknownConfig(Exception):
    """paquet inconnu"""
    pass

class LastReleaseNotFound(Exception):
    """pas de release d'un paquet dans la base"""
    pass

class SvnExportError(Exception):
    """erreur lors de l'export SVN"""
    pass

class TarFileError(Exception):
    """erreur lors de la création du TAR"""
    pass

class ChangelogNotFound(Exception):
    """pas de fichier changelog"""
    pass

class DebChangeError(Exception):
    """erreur lors du debchange"""
    pass

class BuildError(Exception):
    """erreur lors de la compilation"""
    pass

class WrongPasswd(Exception):
    """Mot de passe incorrect"""
    pass
