#-*- coding: utf-8 -*-
#
###########################################################################
# Eole NG - 2007  
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr 
#  
# Récupération d'une liste de paquet depuis un dépot Internet
#       
###########################################################################

import urllib2, BeautifulSoup
from eolepack import eolepackdb, pack

def list_packages(url):

    packages = []
    html = ' '.join(urllib2.urlopen(url).readlines())
    soup = BeautifulSoup.BeautifulSoup(html)
    for ligne in soup('a'):
        href = ligne['href']
        if href.endswith('.dsc'):
            href = href[0:-4]
            packages.append(href.split('_', 1))
    return packages

def get_id_packages(packages, version):

    print eolepackdb.get_id_paquet(packages, version)

def build_rc(packages, version, distribution='eole-2.0'):
    print pack.pack(packages, version, distribution)
 
