# -*- coding: utf-8 -*-

###########################################################################
# Eole NG - 2007  
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr 
#  
# epacktools : outils gtk pour epack
#       
###########################################################################

import gtk
import gobject

def display_popup(mainwindow, text, type=''):
    """affiche un message
    @param type: ''        -> message d'info
                 'Message' -> message d'info sans bouton
                 'Error'   -> message d'erreur
                 'Confirm' -> question oui/non
    """
    if type == 'Error':
        msgtype = gtk.MESSAGE_ERROR
        buttons = gtk.BUTTONS_OK
    elif type == 'Confirm':
        msgtype = gtk.MESSAGE_QUESTION
        buttons = gtk.BUTTONS_YES_NO
    elif type == 'Message':
        msgtype = gtk.MESSAGE_INFO
        buttons = gtk.BUTTONS_NONE
    else:
        msgtype = gtk.MESSAGE_INFO
        buttons = gtk.BUTTONS_OK
        
    dialog = gtk.MessageDialog(mainwindow, gtk.DIALOG_MODAL, msgtype, buttons, text)
    return dialog

def stop_timeout(dialog,*args):
    dialog.response(gtk.RESPONSE_NONE)
    # return false to stop the timeout loop
    return False

def rundial(dialog):
    dialog.set_keep_above(True)
    dialog.show()
    gobject.timeout_add(200, stop_timeout, dialog)
    dialog.run()

