# -*- coding: utf-8 -*-
###########################################################################
# 
# Eole NG - 2007  
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  http://www.cecill.info/licences/Licence_CeCILL_V2-fr.html
# eole@ac-dijon.fr 
#  
###########################################################################
"""utilitaires divers 
"""
import os

def export_env_vars(varname, value):
    """exporte un nom de variable dans env
    """
    os.environ[varname] = value

def clean_str(string):
    return string.strip().replace('"', "")

def replace_str(line):
    """
    nettoyage d'une chaine
    """
    line = line.strip().replace('"', "")
    line = line.replace("à", "a").replace("â", "a")
    line = line.replace("ç", "c").replace("ô", "o").replace("ù", "u")
    line = line.replace("è", "e").replace("é", "e").replace("ê", "e").replace("ë", "e")
    return line

def clean_log(string):
    """
    arrangement du changelog
    """
    changelog = ""
    for line in string.split(';'):
        newline = line
        while newline.startswith('-') or newline.startswith(' '):
            newline = newline[1:]
        if newline != '':
            changelog += "%s;" % newline
    return changelog
